## ros-lunar-pyros-config 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros_config)

# For ease of use, this CMakeLists allows to use this code from source, as if it were a normal catkin package.
# However no ROS/catkin debian package is provided for it.
# It is just a pip package that your packages should depend on (using rosdep pip dependency mechanism).
# We should follow closely https://github.com/gerkey/ros1_external_use

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyros_config)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # Nose Tests
    ############

    catkin_add_pytests(pyros_config/tests)

endif()

=== debian/changelog ===
ros-lunar-pyros-config (0.2.0-0stretch) stretch; urgency=high

  * Getting rid of config import to avoid deep complex behavior. Lets not
    care about imports here... [AlexV]
  * Update gitchangelog from 2.4.1 to 2.5.1. [pyup-bot]
  * Pin pytest to latest version 3.0.4. [pyup-bot]
  * Pin gitchangelog to latest version 2.4.1. [pyup-bot]

 -- AlexV <asmodehn@gmail.com>  Mon, 20 Feb 2017 15:00:00 -0000

ros-lunar-pyros-config (0.1.5-0stretch) stretch; urgency=high

  * V0.1.5. [alexv]
  * Generated changelog. improved comments for release flow. [alexv]
  * Fixed regression about accepting dict and object when configuring.
    [alexv]
  * Improved logging. cosmetics. [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-lunar-pyros-config (0.1.4-0stretch) stretch; urgency=high

  * V0.1.4. [alexv]
  * Generated changelog. [alexv]
  * Improved setup.py publish and tag commands. [alexv]
  * Fix creating directory for generated default config file if it doesnt
    exists yet. [alexv]
  * Adding IOError handling by creating default configuration file from
    provided string. [alexv]
  * Changed version number to patch .99 to denote devel version. [alexv]
  * Removing useless cmakelists. [alexv]
  * Fixed configimport for python3. [alexv]
  * Added setup.cfg. added badge for ros release builds. [alexv]

 -- AlexV <asmodehn@gmail.com>  Mon, 29 Aug 2016 15:00:00 -0000

ros-lunar-pyros-config (0.1.3-0stretch) stretch; urgency=high

  * More cleanup of ros stuff. preparing 0.1.3. [alexv]
  * Improved setup to do releases. removed ros files from master branch.
    [alexv]
  * Improve self test. [AlexV]
  * Reviewing tox and tests. [AlexV]
  * Refining tox test command, importing more from __future__. [AlexV]
  * Making check for string work with python3. [AlexV]
  * Adding .idea folder to gitignore. [AlexV]
  * Removing ROS and not using site-package, this is a pure python
    package. [alexv]
  * Revert "improving travis files to test catkin_pip build with
    rosdistros." [alexv]This reverts commit 3c3bdd1d65f28f24bf3891ff1567e084b0dfb6bf.
  * Improving travis files to test catkin_pip build with rosdistros.
    [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 09 Aug 2016 15:00:00 -0000

ros-lunar-pyros-config (0.1.2-0stretch) stretch; urgency=high

  * Preparing version 0.1.2. [alexv]
  * Adding one fake test to succeed tox. [alexv]
  * Changing tox command to call py.test directly. [alexv]
  * Now using pytest form catkin-pip. [alexv]
  * Now using pytest from __main__ [alexv]
  * Now using setup.py test command from tox. [alexv]
  * First version, adding tox and py.test. removing dependency on
    importlib, not needed since py2.7 ? [alexv]

 -- AlexV <asmodehn@gmail.com>  Thu, 02 Jun 2016 15:00:00 -0000

ros-lunar-pyros-config (0.1.1-0stretch) stretch; urgency=high

  * Preparing v0.1.1. [alexv]
  * Fixing repo links in package.xml. [alexv]
  * Using renamed dependency catkin_pip. [alexv]
  * Small cleanup. removing mention of ros. now printing sys.path in case
    import fails. added gitignore. [alexv]

 -- AlexV <asmodehn@gmail.com>  Wed, 01 Jun 2016 15:00:00 -0000

ros-lunar-pyros-config (0.1.0-0stretch) stretch; urgency=high

  * Generated changelog. [alexv]
  * Cleaned up README. added .travis.yml. [alexv]
  * Copying files from pyros-setup. [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 31 May 2016 15:00:00 -0000

=== debian/control ===
Source: ros-lunar-pyros-config
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-pytest, python-six, ros-lunar-catkin (>= 0.6.18), ros-lunar-catkin-pip (>= 0.2.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-pyros-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pytest, python-six
Description: Configuration package for Pyros

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pyros-config//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
